# pydicom.data.get_testdata_files

pydicom.data.get_testdata_files(pattern: str = '**/*') → list[str]

  Return a list of absolute paths to datasets with filenames matching pattern.

  Parameters:

    pattern (str, optional) – The pattern to pass to `glob()`, default (`'**/*'`).

  Returns:

    A list of absolute paths to matching files.

  Return type:

    list of str

  Raises:

    ValueError – If pattern matches an absolute path.